Bug 385961 - Samba printing not working
Samba printing not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 18:13 EST by Luis A. Florit
Modified: 2009-01-09 00:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:13:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis A. Florit 2007-11-15 18:13:24 EST
Description of problem:
After upgrading from Fedora 6 to Fedora 8, Windows XP users cannot print 
anymore to a local printer in the Fedora 8 box. I'm using the same smb.conf 
file (attached). However, no errors are found, the job just is not printed. 
Users of the Linux box print normally.

Version-Release number of selected component (if applicable):
samba-3.0.26a-6.fc8
cups-1.3.4-3.fc8

How reproducible:
Always.

Steps to reproduce:
1. Window user installs printer
2. He sends job to the printer, and it appears to have been printed normally, 
but nothing at the printer.
3. At the linux box, when the window user sends the job, 'lpq' shows activity 
exactly as if normal printing was done:

# lpq
lp0 is ready
no entries
# lpq
lp0 is ready and printing
Rank    Owner   Job     File(s)                         Total Size
active  nobody  118     smbprn.00000018.IZZtzO          8192 bytes
# lpq
lp0 is ready
no entries

Actual results:
Nothing printed

Expected results:
Job printed

Additional info:
---> smb.conf file:
[global]
    workgroup = NINHO
    server string = Samba Server
    interfaces = eth1
    security = SHARE
    log file = /var/log/samba/log.%m
    max log size = 100
    name resolve order = bcast lmhosts host wins
    deadtime = 3
    socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
    printcap name = /etc/printcap
    dns proxy = No
    idmap uid = 16777216-33554431
    idmap gid = 16777216-33554431
    hosts allow = 192.168.0.2, 192.168.0.3
    cups options = raw

[printers]
    comment = All Printers
    path = /var/spool/samba
    public = Yes
    guest ok = Yes
    printable = Yes
    browseable = No

---> cups access.log file shows no problems, and at the time of printing lots 
of lines like:

localhost - - [15/Nov/2007:21:01:04 -0200] "POST / HTTP/1.1" 200 416 
CUPS-Get-Printers successful-ok
localhost - - [15/Nov/2007:21:01:04 -0200] "POST / HTTP/1.1" 200 416 
CUPS-Get-Classes successful-ok
localhost - - [15/Nov/2007:21:01:04 -0200] "POST / HTTP/1.1" 200 75 
CUPS-Get-Default successful-ok
localhost - - [15/Nov/2007:21:01:04 -0200] "POST / HTTP/1.1" 200 119 
Get-Printer-Attributes successful-ok
localhost - - [15/Nov/2007:21:01:04 -0200] "POST / HTTP/1.1" 200 119 Get-Jobs 
successful-ok

---> cups error.log file shows nothing strange:

I [15/Nov/2007:21:01:07 -0200] [Job 118] Adding start banner page "none".
I [15/Nov/2007:21:01:07 -0200] [Job 118] Adding job file of type 
application/octet-stream.
I [15/Nov/2007:21:01:07 -0200] [Job 118] Adding end banner page "none".
I [15/Nov/2007:21:01:07 -0200] [Job 118] Queued on "lp0" by "nobody".
I [15/Nov/2007:21:01:07 -0200] [Job 118] Started 
backend /usr/lib/cups/backend/hp (PID 25507)
I [15/Nov/2007:21:01:09 -0200] [Job 118] Completed successfully.

---> page.log cups shows also nothing strange:

lp0 nobody 118 [15/Nov/2007:21:01:07 -0200] 1 1 - localhost
Comment 1 Luis A. Florit 2007-11-20 07:25:48 EST
Sometimes, when Window$ users try to print, the printer blinks with error.
Still, no errors in the (above) log files.
Comment 2 Luis A. Florit 2007-11-20 09:33:45 EST
I did a workaround: now I am not using SAMBA for printing, directly CUPS, and 
it works great. Nothing to be configured (only to share the printer via CUPS), 
and on the Window$ side, just add the printer through URL, instead 
of "searching" for it, like:

Start -> Printers -> Add printer -> Network printer ->
URL: http://<ip_of_the_linux_box>:631/printers/<printer_name>

Mine is: http://192.168.0.1:631/printers/lp0

Byebye, Samba!!!!!!!!!!

L.
Comment 3 Simo Sorce 2007-11-20 09:44:37 EST
Yes Windows clients support IPP for printing, you can certainly use CUPS directly.

For samba I think you should use the parameter: printing = CUPS
Comment 4 Bug Zapper 2008-11-26 03:28:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:13:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.